GET api/bagapi/bagsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"bag_status_id": "f4cd38b3-046d-4f90-be37-0b548098c184",
"cleanroom_type_id": "b7f3075a-8aa3-4ad2-a0fc-18799bd2e999",
"code": 3,
"date_hu": "2026-06-09T05:32:35.8291992+00:00",
"id": "b7a16f96-e818-4209-a203-28592100224d",
"site_id": "42b5a6f3-f092-4c3d-9fc0-22e7c30ffe07",
"wash_count": 6,
"position": 7,
"pc_id": "b61f53b6-ed0e-4ab3-b6a2-aeb21f7e95f9"
},
{
"active": true,
"bag_status_id": "f4cd38b3-046d-4f90-be37-0b548098c184",
"cleanroom_type_id": "b7f3075a-8aa3-4ad2-a0fc-18799bd2e999",
"code": 3,
"date_hu": "2026-06-09T05:32:35.8291992+00:00",
"id": "b7a16f96-e818-4209-a203-28592100224d",
"site_id": "42b5a6f3-f092-4c3d-9fc0-22e7c30ffe07",
"wash_count": 6,
"position": 7,
"pc_id": "b61f53b6-ed0e-4ab3-b6a2-aeb21f7e95f9"
}
]
application/xml, text/xml
Sample:
<ArrayOfbag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<bag>
<active>true</active>
<bag_status_id>f4cd38b3-046d-4f90-be37-0b548098c184</bag_status_id>
<cleanroom_type_id>b7f3075a-8aa3-4ad2-a0fc-18799bd2e999</cleanroom_type_id>
<code>3</code>
<date_hu>2026-06-09T05:32:35.8291992+00:00</date_hu>
<id>b7a16f96-e818-4209-a203-28592100224d</id>
<pc_id>b61f53b6-ed0e-4ab3-b6a2-aeb21f7e95f9</pc_id>
<position>7</position>
<site_id>42b5a6f3-f092-4c3d-9fc0-22e7c30ffe07</site_id>
<wash_count>6</wash_count>
</bag>
<bag>
<active>true</active>
<bag_status_id>f4cd38b3-046d-4f90-be37-0b548098c184</bag_status_id>
<cleanroom_type_id>b7f3075a-8aa3-4ad2-a0fc-18799bd2e999</cleanroom_type_id>
<code>3</code>
<date_hu>2026-06-09T05:32:35.8291992+00:00</date_hu>
<id>b7a16f96-e818-4209-a203-28592100224d</id>
<pc_id>b61f53b6-ed0e-4ab3-b6a2-aeb21f7e95f9</pc_id>
<position>7</position>
<site_id>42b5a6f3-f092-4c3d-9fc0-22e7c30ffe07</site_id>
<wash_count>6</wash_count>
</bag>
</ArrayOfbag>